#!/usr/bin/perl

use Net::Twitter;
use Data::Dumper;

if (@ARGV < 2) {
	die "Usage: ./show_status.pm <username> <password> <id> [apiurl [apihost]]";
}
my ($username, $password, $id, $apiurl, $apihost) = @ARGV;
my $twit = Net::Twitter->new(username=>$username,
			     password=>$password,
			     apiurl=>$apiurl,
			     apihost=>$apihost,
			     apirealm=>"Shovel API");
my $result = $twit->show_status($id);
print Dumper($result);
